-- Filename:     big_multinor.vhd
-- Filetype:     VHDL code structural
-- Date:         10 januari 2003
-- Update:       20 februari 2012
-- Description:  Structural beschrijving multi-NOR
-- Author:       J. op den Brouw
-- State:        demo
-- Error:        -
-- Version:      1.2
-- Copyright:    (c)2003-2012, Haagse Hogeschool
--
-- Dit is de structural dat de multinor als
-- component gebruikt. Het wordt geinstantieerd met
-- en nieuwe/andere tpd en n dan de multinor beschrijving.

library ieee;                                               
use ieee.std_logic_1164.all;  

-- Entity big multi-input nor
entity big_multinor is
	port (
		x : in std_logic_vector(11 downto 0);
		q : out std_logic
	);
end big_multinor;

architecture structural of big_multinor is

-- declaration of component multinor
component multinor
   generic (tpd : time := 2 ns;
			   n : natural := 8
	);
	port (
		x : in std_logic_vector(n-1 downto 0);
		q : out std_logic
	);
end component;

begin
	-- instantiation of multinor
	instnor : component multinor
		generic map (tpd => 8 ns, n => 12)
		port map (q => q,	x => x);
end structural;

